Skip to main content
GET
/
api
/
v1
/
waiting-areas
Error
A valid request URL is required to generate request examples
{
  "data": [
    {
      "id": "9a0f170e-0aa0-47db-ab14-4ddcdcbad061",
      "name": "Waiting Area 1",
      "schedules": [
        {
          "id": "9a0f170e-0aa0-47db-ab14-4ddcdcbad061",
          "opens_at": "08:30:00",
          "closes_at": "17:00:00",
          "is_enabled": true
        }
      ],
      "waiting_count": 5,
      "in_call_count": 2,
      "longest_waiting_time": 300,
      "attending_agents_count": 2,
      "messages_count": 10,
      "created_at": "2021-01-30T08:30:00Z",
      "department": {
        "id": 1,
        "name": "Department"
      },
      "Tenant": {
        "id": "9a0f170e-0aa0-47db-ab14-4ddcdcbad061",
        "name": "John Smith",
        "slug": "john-smith",
        "template": "sqod",
        "site_customization": {
          "logo": {
            "file_name": "file.pdf",
            "url": "https://www.google.com",
            "path": "/path/to/file.pdf"
          },
          "css_file": {
            "file_name": "file.pdf",
            "url": "https://www.google.com",
            "path": "/path/to/file.pdf"
          },
          "banner_color": "#c11de2",
          "font_color": "#c11de2",
          "body_link_color": "#c11de2",
          "terms_and_conditions_link": "<string>",
          "privacy_policy_link": "<string>",
          "support_center_link": "<string>",
          "bsl_video_url": "<string>",
          "appointment_data_fields": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "name": "<string>",
              "type": "<string>",
              "required": true
            }
          ],
          "main_background_image": {
            "file_name": "file.pdf",
            "url": "https://www.google.com",
            "path": "/path/to/file.pdf"
          },
          "header_background_colour": "#c11de2",
          "navigation_text_colour": "#c11de2",
          "navigation_link_colour": "#c11de2",
          "heading_colour": "#c11de2",
          "subheading_colour": "#c11de2",
          "main_background_colour": "#c11de2",
          "waiting_area_welcome_message": "<string>",
          "waiting_area_holding_message": "<string>",
          "waiting_area_post_call_message": "<string>",
          "waiting_area_sms_default_invite": "<string>",
          "waiting_area_email_default_invite": "<string>",
          "waiting_area_support_page_content": "<string>",
          "footer_background_color": "#c11de2",
          "footer_font_color": "#c11de2",
          "footer_link_color": "#c11de2",
          "copyright_name": "<string>",
          "copyright_date": "<string>",
          "cta_color": "#c11de2",
          "cta_font_color": "#c11de2",
          "date_color": "#c11de2",
          "date_font_color": "#c11de2",
          "report_text_color": "#c11de2",
          "report_bg_color": "#c11de2",
          "report_cta_color": "#c11de2",
          "report_cta_font_color": "#c11de2",
          "use_light_video_controls": true
        },
        "tenant_support_info": {
          "phone": "<string>",
          "email": "<string>"
        }
      },
      "reference": "WA-12345",
      "url": "https://example.com/waiting-areas/WA-12345",
      "current_user_permission_level": "Read Only",
      "current_user_room_group_id": "123e4567-e89b-12d3-a456-426614174000"
    }
  ],
  "meta": {
    "current_page": 123,
    "from": 123,
    "last_page": 123,
    "links": [
      {
        "label": "<string>",
        "active": true,
        "url": "https://dev.sqod.uk/path?page=1"
      }
    ],
    "path": "https://dev.sqod.uk/path?page=1",
    "per_page": 123,
    "to": 123,
    "total": 123
  },
  "links": {
    "first": "https://dev.sqod.uk/path?page=1",
    "last": "https://dev.sqod.uk/path?page=1",
    "prev": "https://dev.sqod.uk/path?page=1",
    "next": "https://dev.sqod.uk/path?page=1"
  }
}

Authorizations

Authorization
string
header
required

Provide a Bearer Token

Query Parameters

per_page
integer
default:10

Number of items per page

Required range: x >= 1
Example:

10

Response

200 - application/json

A paginated list of waiting areas.

data
Waiting Area · object[]
required
meta
Pagination Meta · object
required